#!/bin/bash
protoc -I=. --go_out=.. messages.proto
mv ../forge.redroom.link/yves/meowlib/messages.pb.go ../
rm -rf ../forge.redroom.link

protoc --plugin=protoc-gen-doc=/usr/bin/protoc-gen-doc \
  --doc_out=../doc/generated \
  --doc_opt=html,index.html \
  *.proto

protoc --plugin=protoc-gen-uml=/usr/bin/protoc-gen-uml \
   --uml_out=../doc/generated -I=. *.proto
