package meowlib

import (
	"testing"
)

func TestCompress(t *testing.T) {
	kp1 := NewKeyPair()
	kp2 := NewKeyPair()
	kp3 := NewKeyPair()
	var cc ContactCard
	cc.Name = "My Full Name And It's loooong"
	cc.ContactPublicKey = kp1.Public
	cc.EncryptionPublicKey = kp2.Public
	cc.LookupPublicKey = kp3.Public
	cc.AddUrls([]string{"https://meow.myfirstdomain.com/services/meow:8080", "https://meow.myseconddomain.com/services/meow:8080", "http://meow.mythirddomain.com/services/meow:8080"})
	serialized, _ := cc.Serialize()
	println(len(serialized))
	compressed, _ := cc.Compress()
	println(len(compressed))
}
